Project64

Informations

Creator Message
mauriciofauth Anonymous

Information

This installer has been approved by the team.

Informations

Platforms:
Downloads: 26896
Wine: 4.0.2

Feedbacks

Description

Nintendo 64 emulator, can play Nintendo 64 games on a computer by reading ROM images files (Source: Wikipedia).
Appdb.winehq.org (tests reports).

Screenshots

MiniatureMiniatureMiniature

Source code

#!/bin/bash
# Date : (2015-05-20)
# Last revision : see the changelog below
# Wine version used : see the changelog below
# Distribution used to test : XUbuntu 19.04 x64
# Author : mauriciofauth
# Licence : Retail
# Only For : http://www.playonlinux.com
#
# TESTED Editions: Setup Project64 v2.3.2-202-g57a221e.exe
#
# Middlewares used by this software : Visual Studio 14 (VC 2015), Direct3D 8.
#
# CHANGELOG
# [mauriciofauth] (2015-05-20)
#   First script.
# [Dadu042] (2019-11-17 18:30)
#   Fix broken URL (by removing Download feature).
#   Brand new script.
#   Wine 1.7.43 -> 3.0.3
# [Dadu042] (2019-11-17 19:20)
#   Little improvements.
#
# KNOWN ISSUES:
#  - Wine amd64 4.0.2 (and x86 4.0.2): crash when exiting.
#  - Wine amd64 3.0.3, 4.0.2, 4.19: in Options -> Settings, the right part stay empty of any text (grey). Tried: install corefonts, mono210, mfc42, gdiplus, vcrun2015.
#  - Wine x86 4.0.2: same as above (missing text in Settings). Tried: install dinput8, d3dx9_43 + d3dcompiler_43, dotnet40, gecko.

# Ideas to improve this script: select archive, then decide if extension is RAR or ZIP or 7Z...
   
[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"
      
TITLE="Project64"
PREFIX="project64"
EDITOR="Project64 Team"
GAME_URL="http://www.pj64-emu.com/"
AUTHOR="Dadu042"
STEAM_ID=""
WORKING_WINE_VERSION="4.0.2"
GAME_VMS="256"
SHORTCUT_FILENAME="Project64.exe"
SOFTWARE_CATEGORIES="Emulator;"
# http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization#Advanced_Standardization

# Starting the script
POL_SetupWindow_Init

# Starting debugging API
POL_Debug_Init

# Open dialogue box 
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"

# POL_SetupWindow_message "$(eval_gettext 'WARNING: this software does exist in Linux native version.\n\nThis script only allow to run the Windows version on Linux, please prefer the Linux edition for better 3D speed.')" "$TITLE"

# POL_SetupWindow_message "$(eval_gettext 'This game requires a fast 3D GPU (ie: Intel HD Graphics 4440 is not enough).')" "$TITLE"

POL_RequiredVersion "4.3.4" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"

# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"

# Determine Architecture
# POL_System_SetArch "amd64"
POL_System_SetArch "x86"

# Downloading wine if necessary and creating prefix
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"

Set_OS "win7"

# Installing mandatory dependencies

# POL_Call POL_Install_riched30
# POL_Call POL_Install_phzysx
# POL_Call POL_Install_corefonts
# POL_Call POL_Install_d3dx11
# POL_Call POL_Install_mono210
 
# Sound problem fix - pulseaudio related
# [ "$POL_OS" = "Linux" ] && Set_SoundDriver "alsa"
# [ "$POL_OS" = "Linux" ] && Set_SoundEmulDriver "Y"
## End Fix


# Choose between Steam and other Digital Download versions
# POL_SetupWindow_InstallMethod "STEAM,DVD,LOCAL,DOWNLOAD"
POL_SetupWindow_InstallMethod "LOCAL"

# POL_SetupWindow_message "Note: at the end of the installation, please do not run the game, and do not install DirectX 9." "$TITLE"

# Begin game installation
if [ "$INSTALL_METHOD" == "STEAM" ]; then
        POL_Call POL_Install_steam
        # Mandatory pre-install fix for steam
        POL_Call POL_Install_steam_flags "$STEAM_ID"
        # Shortcut done before install for steam version
        POL_Shortcut "steam.exe" "$TITLE" "" "steam://rungameid/$STEAM_ID"
        # Steam install
        POL_SetupWindow_message "$(eval_gettext 'When $TITLE download by Steam is finished,\nDo NOT click on Play.\n\nClose COMPLETELY the Steam interface, \nso that the installation script can continue')" "$TITLE"
        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
        POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
        POL_Wine_WaitExit "$TITLE"
      
elif [ "$INSTALL_METHOD" == "DVD" ];then
        POL_SetupWindow_cdrom
      
        POL_SetupWindow_check_cdrom "setup.exe"
        POL_Wine start /unix "$CDROM/setup.exe"
        POL_Wine_WaitExit "setup.exe"
  
        # Restore screen resolution (game's default is 800x600 ?)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
     
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
      
elif [ "$INSTALL_METHOD" == "DOWNLOAD" ];then
        cd "$WINEPREFIX/drive_c"
        POL_Download "http://files.myplaycity.com/files_downloader_temp/jigsawboom3_setup.exe"
        POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"
        POL_Wine "jigsawboom3_setup.exe" # "/SILENT"
        POL_Wine_WaitBefore "$TITLE"
        # POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
  
        # Restore screen resolution (game's default is 1024x768)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
  
        POL_Shortcut "game.exe" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_Document "$TITLE" "readme.txt"
 
elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        APP_ANSWER=".EXE"
           
if [ "$APP_ANSWER" == ".EXE" ]; then
        # Asking then installing local files of the game
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        # POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"
        POL_Wine start /unix "$SETUP_EXE" "/SILENT"
        POL_Wine_WaitExit "$TITLE"
   
        # Restore screen resolution (game's default is 1024x768)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
   
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"

        # For Project64 software:
        POL_Shortcut_QuietDebug "$TITLE"

        # POL_Shortcut_Document "$TITLE" "readme.txt"



elif [ "$APP_ANSWER" == "$(eval_gettext '.ZIP')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .ZIP file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unzip "$APP_ANSWER" -d "$WINEPREFIX/drive_c/"
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
               
elif [ "$APP_ANSWER" == "$(eval_gettext '.RAR')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .RAR file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unrar x "$APP_ANSWER" "$WINEPREFIX/drive_c/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
fi
fi
   
################
#      GPU     #
################
   
# Set Graphic Card information keys for wine
# POL_Wine_SetVideoDriver

# Asking about memory size of graphic card
# POL_SetupWindow_VMS $GAME_VMS
   
# Useful for Nvidia GPUs
# POL_Call POL_Install_physx



# POL_SetupWindow_message "$(eval_gettext '\nInstallation is finished ! :)')" "$TITLE"

POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid to have huge log file, you should type \ninto Debug flags : fixme-all')" "$TITLE"

POL_SetupWindow_Close
exit 0

Contributions

Filters:

Contribute
Member Message
Dadu042 Sunday 17 November 2019 at 19:30
Dadu042

Information

This update has been approved by the team.

Differences

@@ -20,7 +20,6 @@
 #   Wine 1.7.43 -> 3.0.3
 # [Dadu042] (2019-11-17 19:20)
 #   Little improvements.
-#   Note for myself: Installing Gecko may help ? (less lines in the debug window).
 #
 # KNOWN ISSUES:
 #  - Wine amd64 4.0.2 (and x86 4.0.2): crash when exiting.
@@ -40,7 +39,7 @@
 STEAM_ID=""
 WORKING_WINE_VERSION="4.0.2"
 GAME_VMS="256"
-SHORTCUT_FILENAME="project64.exe"
+SHORTCUT_FILENAME="Project64.exe"
 SOFTWARE_CATEGORIES="Emulator;"
 # http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization#Advanced_Standardization
 
@@ -149,7 +148,7 @@
         POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
 
 	# For Project64 software:
-	POL_Shortcut_QuietDebug "$SHORTCUT_FILENAME"
+	POL_Shortcut_QuietDebug "$TITLE"
 
         # POL_Shortcut_Document "$TITLE" "readme.txt"
 

New source code

#!/bin/bash
# Date : (2015-05-20)
# Last revision : see the changelog below
# Wine version used : see the changelog below
# Distribution used to test : XUbuntu 19.04 x64
# Author : mauriciofauth
# Licence : Retail
# Only For : http://www.playonlinux.com
#
# TESTED Editions: Setup Project64 v2.3.2-202-g57a221e.exe
#
# Middlewares used by this software : Visual Studio 14 (VC 2015), Direct3D 8.
#
# CHANGELOG
# [mauriciofauth] (2015-05-20)
#   First script.
# [Dadu042] (2019-11-17 18:30)
#   Fix broken URL (by removing Download feature).
#   Brand new script.
#   Wine 1.7.43 -> 3.0.3
# [Dadu042] (2019-11-17 19:20)
#   Little improvements.
#
# KNOWN ISSUES:
#  - Wine amd64 4.0.2 (and x86 4.0.2): crash when exiting.
#  - Wine amd64 3.0.3, 4.0.2, 4.19: in Options -> Settings, the right part stay empty of any text (grey). Tried: install corefonts, mono210, mfc42, gdiplus, vcrun2015.
#  - Wine x86 4.0.2: same as above (missing text in Settings). Tried: install dinput8, d3dx9_43 + d3dcompiler_43, dotnet40, gecko.

# Ideas to improve this script: select archive, then decide if extension is RAR or ZIP or 7Z...
   
[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"
      
TITLE="Project64"
PREFIX="project64"
EDITOR="Project64 Team"
GAME_URL="http://www.pj64-emu.com/"
AUTHOR="Dadu042"
STEAM_ID=""
WORKING_WINE_VERSION="4.0.2"
GAME_VMS="256"
SHORTCUT_FILENAME="Project64.exe"
SOFTWARE_CATEGORIES="Emulator;"
# http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization#Advanced_Standardization

# Starting the script
POL_SetupWindow_Init

# Starting debugging API
POL_Debug_Init

# Open dialogue box 
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"

# POL_SetupWindow_message "$(eval_gettext 'WARNING: this software does exist in Linux native version.\n\nThis script only allow to run the Windows version on Linux, please prefer the Linux edition for better 3D speed.')" "$TITLE"

# POL_SetupWindow_message "$(eval_gettext 'This game requires a fast 3D GPU (ie: Intel HD Graphics 4440 is not enough).')" "$TITLE"

POL_RequiredVersion "4.3.4" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"

# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"

# Determine Architecture
# POL_System_SetArch "amd64"
POL_System_SetArch "x86"

# Downloading wine if necessary and creating prefix
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"

Set_OS "win7"

# Installing mandatory dependencies

# POL_Call POL_Install_riched30
# POL_Call POL_Install_phzysx
# POL_Call POL_Install_corefonts
# POL_Call POL_Install_d3dx11
# POL_Call POL_Install_mono210
 
# Sound problem fix - pulseaudio related
# [ "$POL_OS" = "Linux" ] && Set_SoundDriver "alsa"
# [ "$POL_OS" = "Linux" ] && Set_SoundEmulDriver "Y"
## End Fix


# Choose between Steam and other Digital Download versions
# POL_SetupWindow_InstallMethod "STEAM,DVD,LOCAL,DOWNLOAD"
POL_SetupWindow_InstallMethod "LOCAL"

# POL_SetupWindow_message "Note: at the end of the installation, please do not run the game, and do not install DirectX 9." "$TITLE"

# Begin game installation
if [ "$INSTALL_METHOD" == "STEAM" ]; then
        POL_Call POL_Install_steam
        # Mandatory pre-install fix for steam
        POL_Call POL_Install_steam_flags "$STEAM_ID"
        # Shortcut done before install for steam version
        POL_Shortcut "steam.exe" "$TITLE" "" "steam://rungameid/$STEAM_ID"
        # Steam install
        POL_SetupWindow_message "$(eval_gettext 'When $TITLE download by Steam is finished,\nDo NOT click on Play.\n\nClose COMPLETELY the Steam interface, \nso that the installation script can continue')" "$TITLE"
        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
        POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
        POL_Wine_WaitExit "$TITLE"
      
elif [ "$INSTALL_METHOD" == "DVD" ];then
        POL_SetupWindow_cdrom
      
        POL_SetupWindow_check_cdrom "setup.exe"
        POL_Wine start /unix "$CDROM/setup.exe"
        POL_Wine_WaitExit "setup.exe"
  
        # Restore screen resolution (game's default is 800x600 ?)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
     
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
      
elif [ "$INSTALL_METHOD" == "DOWNLOAD" ];then
        cd "$WINEPREFIX/drive_c"
        POL_Download "http://files.myplaycity.com/files_downloader_temp/jigsawboom3_setup.exe"
        POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"
        POL_Wine "jigsawboom3_setup.exe" # "/SILENT"
        POL_Wine_WaitBefore "$TITLE"
        # POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
  
        # Restore screen resolution (game's default is 1024x768)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
  
        POL_Shortcut "game.exe" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_Document "$TITLE" "readme.txt"
 
elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        APP_ANSWER=".EXE"
           
if [ "$APP_ANSWER" == ".EXE" ]; then
        # Asking then installing local files of the game
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        # POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"
        POL_Wine start /unix "$SETUP_EXE" "/SILENT"
        POL_Wine_WaitExit "$TITLE"
   
        # Restore screen resolution (game's default is 1024x768)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
   
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"

        # For Project64 software:
        POL_Shortcut_QuietDebug "$TITLE"

        # POL_Shortcut_Document "$TITLE" "readme.txt"



elif [ "$APP_ANSWER" == "$(eval_gettext '.ZIP')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .ZIP file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unzip "$APP_ANSWER" -d "$WINEPREFIX/drive_c/"
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
               
elif [ "$APP_ANSWER" == "$(eval_gettext '.RAR')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .RAR file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unrar x "$APP_ANSWER" "$WINEPREFIX/drive_c/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
fi
fi
   
################
#      GPU     #
################
   
# Set Graphic Card information keys for wine
# POL_Wine_SetVideoDriver

# Asking about memory size of graphic card
# POL_SetupWindow_VMS $GAME_VMS
   
# Useful for Nvidia GPUs
# POL_Call POL_Install_physx



# POL_SetupWindow_message "$(eval_gettext '\nInstallation is finished ! :)')" "$TITLE"

POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid to have huge log file, you should type \ninto Debug flags : fixme-all')" "$TITLE"

POL_SetupWindow_Close
exit 0

Replies

Edited by Dadu042

Dadu042 Sunday 17 November 2019 at 18:33
Dadu042

Warning

This update has not been approved yet by the team.
Use it at your own risk

Differences

@@ -1,37 +1,189 @@
-#!/usr/bin/env playonlinux-bash
- 
-# Date : (2015-05-20 02-00)
-# Last revision : (2015-05-20 02-00)
-# Wine version used : 1.7.43
-# Distribution used to test : Ubuntu 14.10
+#!/bin/bash
+# Date : (2015-05-20)
+# Last revision : see the changelog below
+# Wine version used : see the changelog below
+# Distribution used to test : XUbuntu 19.04 x64
 # Author : mauriciofauth
- 
+# Licence : Retail
+# Only For : http://www.playonlinux.com
+#
+# TESTED Editions: Setup Project64 v2.3.2-202-g57a221e.exe
+#
+# Middlewares used by this software : Visual Studio 14 (VC 2015), Direct3D 8.
+#
+# CHANGELOG
+# [mauriciofauth] (2015-05-20)
+#   First script.
+# [Dadu042] (2019-11-17 18:30)
+#   Fix broken URL (by removing Download feature).
+#   Brand new script.
+#   Wine 1.7.43 -> 3.0.3
+#
+# KNOWN ISSUES:
+#  - Wine amd64 3.0.3: N/A.
+#  - Wine amd64 4.0.2: crash when exiting.
+#  - Wine amd64 3.0.3, 4.0.2, 4.19: in Options -> Settings, the right part stay empty of any text (grey). Tried: install corefonts, mono210, mfc42, gdiplus, vcrun2015.
+
+# Ideas to improve this script: select archive, then decide if extension is RAR or ZIP or 7Z...
+   
 [ "$PLAYONLINUX" = "" ] && exit 0
 source "$PLAYONLINUX/lib/sources"
- 
+      
 TITLE="Project64"
 PREFIX="project64"
-WINEVERSION="1.7.43"
- 
+EDITOR="Project64 Team"
+GAME_URL="http://www.pj64-emu.com/"
+AUTHOR="Dadu042"
+STEAM_ID=""
+WORKING_WINE_VERSION="4.0.2"
+GAME_VMS="256"
+SHORTCUT_FILENAME="project64.exe"
+SOFTWARE_CATEGORIES="Emulator;"
+# http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization#Advanced_Standardization
+
+# Starting the script
 POL_SetupWindow_Init
+
+# Starting debugging API
 POL_Debug_Init
- 
-POL_SetupWindow_presentation "$TITLE" "Project64 Team" "http://www.pj64-emu.com/" "mauriciofauth" "$PREFIX"
- 
-POL_System_TmpCreate "$PREFIX"
-cd "$POL_System_TmpDir"
- 
-POL_Download "http://www.pj64-emu.com/downloads/func-download/123/017834e4b1a3263685bcca0bc9cc1f25/project64-v2.2.exe" "0e858fba5d93fb9bfd982c2a3de67a3e"
- 
+
+# Open dialogue box 
+POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
+
+# POL_SetupWindow_message "$(eval_gettext 'WARNING: this software does exist in Linux native version.\n\nThis script only allow to run the Windows version on Linux, please prefer the Linux edition for better 3D speed.')" "$TITLE"
+
+# POL_SetupWindow_message "$(eval_gettext 'This game requires a fast 3D GPU (ie: Intel HD Graphics 4440 is not enough).')" "$TITLE"
+
+POL_RequiredVersion "4.2.12" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"
+
+# Setting prefix path
 POL_Wine_SelectPrefix "$PREFIX"
-POL_Wine_PrefixCreate "$WINEVERSION"
- 
-POL_Wine_WaitBefore "$TITLE"
-POL_Wine "$POL_System_TmpDir/project64-v2.2.exe"
- 
-POL_System_TmpDelete
- 
-POL_Shortcut "project64.exe" "$TITLE"
- 
+
+# Determine Architecture
+# POL_System_SetArch "amd64"
+POL_System_SetArch "x86"
+
+# Downloading wine if necessary and creating prefix
+POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
+
+Set_OS "win7"
+
+# Installing mandatory dependencies
+
+# POL_Call POL_Install_riched30
+# POL_Call POL_Install_phzysx
+# POL_Call POL_Install_corefonts
+# POL_Call POL_Install_d3dx11
+# POL_Call POL_Install_mono210
+ 
+# Sound problem fix - pulseaudio related
+# [ "$POL_OS" = "Linux" ] && Set_SoundDriver "alsa"
+# [ "$POL_OS" = "Linux" ] && Set_SoundEmulDriver "Y"
+## End Fix
+
+
+# Choose between Steam and other Digital Download versions
+# POL_SetupWindow_InstallMethod "STEAM,DVD,LOCAL,DOWNLOAD"
+POL_SetupWindow_InstallMethod "LOCAL"
+
+# POL_SetupWindow_message "Note: at the end of the installation, please do not run the game, and do not install DirectX 9." "$TITLE"
+
+# Begin game installation
+if [ "$INSTALL_METHOD" == "STEAM" ]; then
+        POL_Call POL_Install_steam
+        # Mandatory pre-install fix for steam
+        POL_Call POL_Install_steam_flags "$STEAM_ID"
+        # Shortcut done before install for steam version
+        POL_Shortcut "steam.exe" "$TITLE" "" "steam://rungameid/$STEAM_ID"
+        # Steam install
+        POL_SetupWindow_message "$(eval_gettext 'When $TITLE download by Steam is finished,\nDo NOT click on Play.\n\nClose COMPLETELY the Steam interface, \nso that the installation script can continue')" "$TITLE"
+        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
+        POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
+        POL_Wine_WaitExit "$TITLE"
+      
+elif [ "$INSTALL_METHOD" == "DVD" ];then
+        POL_SetupWindow_cdrom
+      
+        POL_SetupWindow_check_cdrom "setup.exe"
+        POL_Wine start /unix "$CDROM/setup.exe"
+        POL_Wine_WaitExit "setup.exe"
+  
+        # Restore screen resolution (game's default is 800x600 ?)
+        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
+     
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+      
+elif [ "$INSTALL_METHOD" == "DOWNLOAD" ];then
+        cd "$WINEPREFIX/drive_c"
+        POL_Download "http://files.myplaycity.com/files_downloader_temp/jigsawboom3_setup.exe"
+        POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"
+        POL_Wine "jigsawboom3_setup.exe" # "/SILENT"
+        POL_Wine_WaitBefore "$TITLE"
+        # POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+  
+        # Restore screen resolution (game's default is 1024x768)
+        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
+  
+        POL_Shortcut "game.exe" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+        POL_Shortcut_Document "$TITLE" "readme.txt"
+ 
+elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
+        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
+	APP_ANSWER=".EXE"
+           
+if [ "$APP_ANSWER" == ".EXE" ]; then
+        # Asking then installing local files of the game
+        cd "$HOME"
+        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
+        SETUP_EXE="$APP_ANSWER"
+        POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"
+        POL_Wine start /unix "$SETUP_EXE"
+        POL_Wine_WaitExit "$TITLE"
+   
+        # Restore screen resolution (game's default is 1024x768)
+        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
+   
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+        POL_Shortcut_Document "$TITLE" "readme.txt"
+   
+elif [ "$APP_ANSWER" == "$(eval_gettext '.ZIP')" ]; then
+        cd "$HOME"
+        POL_SetupWindow_browse "$(eval_gettext 'Please select the .ZIP file')" "$TITLE"
+        SETUP_EXE="$APP_ANSWER"
+        cd "$POL_System_TmpDir"
+        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
+        POL_System_unzip "$APP_ANSWER" -d "$WINEPREFIX/drive_c/"
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+               
+elif [ "$APP_ANSWER" == "$(eval_gettext '.RAR')" ]; then
+        cd "$HOME"
+        POL_SetupWindow_browse "$(eval_gettext 'Please select the .RAR file')" "$TITLE"
+        SETUP_EXE="$APP_ANSWER"
+        cd "$POL_System_TmpDir"
+        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
+        POL_System_unrar x "$APP_ANSWER" "$WINEPREFIX/drive_c/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+fi
+fi
+   
+################
+#      GPU     #
+################
+   
+# Set Graphic Card information keys for wine
+POL_Wine_SetVideoDriver
+
+# Asking about memory size of graphic card
+POL_SetupWindow_VMS $GAME_VMS
+   
+# Useful for Nvidia GPUs
+# POL_Call POL_Install_physx
+
+
+
+# POL_SetupWindow_message "$(eval_gettext '\nInstallation is finished ! :)')" "$TITLE"
+
+POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid to have huge log file, you should type \ninto Debug flags : fixme-all')" "$TITLE"
+
 POL_SetupWindow_Close
-exit
\ No newline at end of file
+exit 0
\ No newline at end of file

New source code

#!/bin/bash
# Date : (2015-05-20)
# Last revision : see the changelog below
# Wine version used : see the changelog below
# Distribution used to test : XUbuntu 19.04 x64
# Author : mauriciofauth
# Licence : Retail
# Only For : http://www.playonlinux.com
#
# TESTED Editions: Setup Project64 v2.3.2-202-g57a221e.exe
#
# Middlewares used by this software : Visual Studio 14 (VC 2015), Direct3D 8.
#
# CHANGELOG
# [mauriciofauth] (2015-05-20)
#   First script.
# [Dadu042] (2019-11-17 18:30)
#   Fix broken URL (by removing Download feature).
#   Brand new script.
#   Wine 1.7.43 -> 3.0.3
#
# KNOWN ISSUES:
#  - Wine amd64 3.0.3: N/A.
#  - Wine amd64 4.0.2: crash when exiting.
#  - Wine amd64 3.0.3, 4.0.2, 4.19: in Options -> Settings, the right part stay empty of any text (grey). Tried: install corefonts, mono210, mfc42, gdiplus, vcrun2015.

# Ideas to improve this script: select archive, then decide if extension is RAR or ZIP or 7Z...
   
[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"
      
TITLE="Project64"
PREFIX="project64"
EDITOR="Project64 Team"
GAME_URL="http://www.pj64-emu.com/"
AUTHOR="Dadu042"
STEAM_ID=""
WORKING_WINE_VERSION="4.0.2"
GAME_VMS="256"
SHORTCUT_FILENAME="project64.exe"
SOFTWARE_CATEGORIES="Emulator;"
# http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization#Advanced_Standardization

# Starting the script
POL_SetupWindow_Init

# Starting debugging API
POL_Debug_Init

# Open dialogue box 
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"

# POL_SetupWindow_message "$(eval_gettext 'WARNING: this software does exist in Linux native version.\n\nThis script only allow to run the Windows version on Linux, please prefer the Linux edition for better 3D speed.')" "$TITLE"

# POL_SetupWindow_message "$(eval_gettext 'This game requires a fast 3D GPU (ie: Intel HD Graphics 4440 is not enough).')" "$TITLE"

POL_RequiredVersion "4.2.12" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"

# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"

# Determine Architecture
# POL_System_SetArch "amd64"
POL_System_SetArch "x86"

# Downloading wine if necessary and creating prefix
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"

Set_OS "win7"

# Installing mandatory dependencies

# POL_Call POL_Install_riched30
# POL_Call POL_Install_phzysx
# POL_Call POL_Install_corefonts
# POL_Call POL_Install_d3dx11
# POL_Call POL_Install_mono210
 
# Sound problem fix - pulseaudio related
# [ "$POL_OS" = "Linux" ] && Set_SoundDriver "alsa"
# [ "$POL_OS" = "Linux" ] && Set_SoundEmulDriver "Y"
## End Fix


# Choose between Steam and other Digital Download versions
# POL_SetupWindow_InstallMethod "STEAM,DVD,LOCAL,DOWNLOAD"
POL_SetupWindow_InstallMethod "LOCAL"

# POL_SetupWindow_message "Note: at the end of the installation, please do not run the game, and do not install DirectX 9." "$TITLE"

# Begin game installation
if [ "$INSTALL_METHOD" == "STEAM" ]; then
        POL_Call POL_Install_steam
        # Mandatory pre-install fix for steam
        POL_Call POL_Install_steam_flags "$STEAM_ID"
        # Shortcut done before install for steam version
        POL_Shortcut "steam.exe" "$TITLE" "" "steam://rungameid/$STEAM_ID"
        # Steam install
        POL_SetupWindow_message "$(eval_gettext 'When $TITLE download by Steam is finished,\nDo NOT click on Play.\n\nClose COMPLETELY the Steam interface, \nso that the installation script can continue')" "$TITLE"
        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
        POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
        POL_Wine_WaitExit "$TITLE"
      
elif [ "$INSTALL_METHOD" == "DVD" ];then
        POL_SetupWindow_cdrom
      
        POL_SetupWindow_check_cdrom "setup.exe"
        POL_Wine start /unix "$CDROM/setup.exe"
        POL_Wine_WaitExit "setup.exe"
  
        # Restore screen resolution (game's default is 800x600 ?)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
     
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
      
elif [ "$INSTALL_METHOD" == "DOWNLOAD" ];then
        cd "$WINEPREFIX/drive_c"
        POL_Download "http://files.myplaycity.com/files_downloader_temp/jigsawboom3_setup.exe"
        POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"
        POL_Wine "jigsawboom3_setup.exe" # "/SILENT"
        POL_Wine_WaitBefore "$TITLE"
        # POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
  
        # Restore screen resolution (game's default is 1024x768)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
  
        POL_Shortcut "game.exe" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_Document "$TITLE" "readme.txt"
 
elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        APP_ANSWER=".EXE"
           
if [ "$APP_ANSWER" == ".EXE" ]; then
        # Asking then installing local files of the game
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"
        POL_Wine start /unix "$SETUP_EXE"
        POL_Wine_WaitExit "$TITLE"
   
        # Restore screen resolution (game's default is 1024x768)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
   
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_Document "$TITLE" "readme.txt"
   
elif [ "$APP_ANSWER" == "$(eval_gettext '.ZIP')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .ZIP file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unzip "$APP_ANSWER" -d "$WINEPREFIX/drive_c/"
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
               
elif [ "$APP_ANSWER" == "$(eval_gettext '.RAR')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .RAR file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unrar x "$APP_ANSWER" "$WINEPREFIX/drive_c/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
fi
fi
   
################
#      GPU     #
################
   
# Set Graphic Card information keys for wine
POL_Wine_SetVideoDriver

# Asking about memory size of graphic card
POL_SetupWindow_VMS $GAME_VMS
   
# Useful for Nvidia GPUs
# POL_Call POL_Install_physx



# POL_SetupWindow_message "$(eval_gettext '\nInstallation is finished ! :)')" "$TITLE"

POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid to have huge log file, you should type \ninto Debug flags : fixme-all')" "$TITLE"

POL_SetupWindow_Close
exit 0

Replies

mauriciofauth Wednesday 20 May 2015 at 9:25
mauriciofauth Anonymous

Warning

This update has not been approved yet by the team.
Use it at your own risk

Differences

@@ -0,0 +1,37 @@
+#!/usr/bin/env playonlinux-bash
+ 
+# Date : (2015-05-20 02-00)
+# Last revision : (2015-05-20 02-00)
+# Wine version used : 1.7.43
+# Distribution used to test : Ubuntu 14.10
+# Author : mauriciofauth
+ 
+[ "$PLAYONLINUX" = "" ] && exit 0
+source "$PLAYONLINUX/lib/sources"
+ 
+TITLE="Project64"
+PREFIX="project64"
+WINEVERSION="1.7.43"
+ 
+POL_SetupWindow_Init
+POL_Debug_Init
+ 
+POL_SetupWindow_presentation "$TITLE" "Project64 Team" "http://www.pj64-emu.com/" "mauriciofauth" "$PREFIX"
+ 
+POL_System_TmpCreate "$PREFIX"
+cd "$POL_System_TmpDir"
+ 
+POL_Download "http://www.pj64-emu.com/downloads/func-download/123/017834e4b1a3263685bcca0bc9cc1f25/project64-v2.2.exe" "0e858fba5d93fb9bfd982c2a3de67a3e"
+ 
+POL_Wine_SelectPrefix "$PREFIX"
+POL_Wine_PrefixCreate "$WINEVERSION"
+ 
+POL_Wine_WaitBefore "$TITLE"
+POL_Wine "$POL_System_TmpDir/project64-v2.2.exe"
+ 
+POL_System_TmpDelete
+ 
+POL_Shortcut "project64.exe" "$TITLE"
+ 
+POL_SetupWindow_Close
+exit
\ No newline at end of file

New source code

#!/usr/bin/env playonlinux-bash
 
# Date : (2015-05-20 02-00)
# Last revision : (2015-05-20 02-00)
# Wine version used : 1.7.43
# Distribution used to test : Ubuntu 14.10
# Author : mauriciofauth
 
[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"
 
TITLE="Project64"
PREFIX="project64"
WINEVERSION="1.7.43"
 
POL_SetupWindow_Init
POL_Debug_Init
 
POL_SetupWindow_presentation "$TITLE" "Project64 Team" "http://www.pj64-emu.com/" "mauriciofauth" "$PREFIX"
 
POL_System_TmpCreate "$PREFIX"
cd "$POL_System_TmpDir"
 
POL_Download "http://www.pj64-emu.com/downloads/func-download/123/017834e4b1a3263685bcca0bc9cc1f25/project64-v2.2.exe" "0e858fba5d93fb9bfd982c2a3de67a3e"
 
POL_Wine_SelectPrefix "$PREFIX"
POL_Wine_PrefixCreate "$WINEVERSION"
 
POL_Wine_WaitBefore "$TITLE"
POL_Wine "$POL_System_TmpDir/project64-v2.2.exe"
 
POL_System_TmpDelete
 
POL_Shortcut "project64.exe" "$TITLE"
 
POL_SetupWindow_Close
exit

Replies

Wednesday 20 May 2015 at 17:26
I love this emulator. :)